Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1164479 - Review Request: nodejs-mapnik-pool - Manage a pool of mapnik instances
Summary: Review Request: nodejs-mapnik-pool - Manage a pool of mapnik instances
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1164571
TreeView+ depends on / blocked
 
Reported: 2014-11-15 17:22 UTC by Tom Hughes
Modified: 2014-12-06 10:55 UTC (History)
2 users (show)

Fixed In Version: jake-8.0.10-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 02:29:50 UTC
msuchy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2014-11-15 17:22:10 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-mapnik-pool.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-pool-0.1.0-1.fc20.src.rpm
Fedora Account System Username: tomh

Description:
If you want to use node-mapnik in an app with concurrency, you'll
want to use a map pool.

Concurrently using a single map instance can crash your app, and
several map instances will give you a significant speedup. mapnik-pool
manages a generic-pool of mapnik.Map instances so you don't have to.

Comment 1 Miroslav Suchý 2014-11-24 23:50:09 UTC
I search
 https://github.com/mapbox/mapnik-pool
and
 code
for license information and found none. Can you please ask upstream to include LICENSE file in their git?


Is this:
  nodejs-mapnik-pool.noarch: W: dangling-symlink /usr/lib/node_modules/mapnik-pool/node_modules/generic-pool /usr/lib/node_modules/generic-pool
  nodejs-mapnik-pool.noarch: W: dangling-symlink /usr/lib/node_modules/mapnik-pool/node_modules/xtend /usr/lib/node_modules/xtend
intentional?

Comment 2 Tom Hughes 2014-11-25 00:15:02 UTC
The license is stated in the NPM metadata (https://github.com/mapbox/mapnik-pool/blob/master/package.json) as ISC but I have now asked upstream to include it and added a copy locally:

Spec URL: http://download.compton.nu/nodejs/nodejs-mapnik-pool.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-pool-0.1.0-2.fc20.src.rpm

The dangling symlinks are normal - they are links to other node modules that this one depends on.

Comment 3 Miroslav Suchý 2014-11-25 00:46:44 UTC
OK. Looks good to me.

APPROVED

Comment 4 Tom Hughes 2014-11-25 00:49:43 UTC
New Package SCM Request
=======================
Package Name: nodejs-mapnik-pool
Short Description: Manage a pool of mapnik instances
Upstream URL: https://github.com/mapbox-mapnik-pool
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 5 Tom Hughes 2014-11-25 00:50:53 UTC
New Package SCM Request
=======================
Package Name: nodejs-mapnik-pool
Short Description: Manage a pool of mapnik instances
Upstream URL: https://github.com/mapbox/mapnik-pool
Owners: tomh
Branches: f20 f21
InitialCC: jamielinux

Comment 6 Gwyn Ciesla 2014-11-25 13:30:24 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-11-25 14:32:03 UTC
jake-8.0.10-3.fc20,nodejs-mapnik-pool-0.1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jake-8.0.10-3.fc20,nodejs-mapnik-pool-0.1.0-2.fc20

Comment 8 Fedora Update System 2014-11-25 14:33:58 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jake-8.0.10-3.fc21,nodejs-mapnik-pool-0.1.0-2.fc21

Comment 9 Fedora Update System 2014-11-25 21:25:03 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2014-12-06 02:29:50 UTC
jake-8.0.10-3.fc20, nodejs-mapnik-pool-0.1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2014-12-06 10:55:28 UTC
jake-8.0.10-3.fc21, nodejs-mapnik-pool-0.1.0-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.